
# ========================
# AFC en R avec FactoMineR
# ========================

# Exemple d'analyse factorielle des correspondances (AFC), avec les donnes "bac-1976.csv"

bac76 = read.table("bac-1976.csv", header=TRUE, sep=";", row.names="Region") # la colonne "Region" est l'identifiant

bac76 # pour voir...

# Pour faire l'AFC on utilise la procdure "CA" du package "FactoMineR" qu'il convient
# donc de charger pralablement

# Attention "CA" en majuscule ! (c'est le choix des auteurs de FactoMineR)
  
library(FactoMineR) # pour charger le package "FactoMineR" suppos dj install
# alternative par script  la commande "Charger le package..." du menu "Packages"

help(CA) # si on veut lire l'aide de la commande "CA"

afcbac76 = CA(bac76, col.sup=6, row.sup=21:22) # bac F et Corse et IdF en lments supplmentaires et plan 1-2

plot.CA(afcbac76, axes=c(2,3)) # si on veut voir le plan 2-3 (procdure plot.CA du package)

# Les commandes lies  CA sont moins commodes que celles lies  PCA car les graphiques successifs se substituent et
# effacent les prcdents. Une manire de remdier  cela est, aprs avoir obtenu un premier graphique, de cliquer sur sa
# fentre, ce qui la rend active et donne accs aux menus droulants voulus. Dans le menu "Historique" on slectionne alors
# l'option "Enregistrer", et on peut par la suite se dplacer entre les diffrents graphiques produits via les commandes
# "Prcdent" et "Suivant"...

# Et pour les rsultats numriques

afcbac76$eig # les valeurs propres, ou taux d'inertie, successives ("eigenvalues")
afcbac76$row # ce qui concerne les lignes
afcbac76$row.sup # les lignes supplmentaires
afcbac76$col # les colonnes
afcbac76$col.sup # les colonnes supplmentaires

# On peut aussi passer par le R-Commander... (je ne le conseille pas)