
# =========================
# AFCM en R avec FactoMineR
# =========================

# Exemple d'analyse factorielle des correspondances multiples (AFCM), avec les donnes
# "mca-data.csv" issues d'un questionnaire sur la sciences (de Stata)

# Les variables a, b, c et d donnent les rponses aux questions
#   a : "too much science, not enough feelings & faith"
#   b : "science does more harm than good"
#   c : "any change makes nature worse"
#   d : "science will solve environmental problems"
# sur une chelle de cinq possibilits, et les variables
# sex, age et edu sont videntes  comprendre...

science = read.table("mca-data.csv", h=T, sep=",")

# fix(science) # si on veut "diter" les donnes (refermer l'diteur pour continuer)

# Pour faire l'AFCM on utilise la procdure "MCA" du package "FactoMineR" qu'il convient
# donc de charger pralablement

# Attention "MCA" en majuscule ! (c'est le choix des auteurs de FactoMineR)
  
library(FactoMineR) # pour charger le package "FactoMineR" suppos dj install
# alternative par script  la commande "Charger le package..." du menu "Packages"

# help(MCA) # si on veut lire l'aide de la commande "MCA"

mcascience = MCA(science, ncp=4, quali.sup=5:7, graph=F) # exemple de demande de base

mcascience$eig
mcascience$var
mcascience$ind

plot(mcascience, invisible=c("ind", "quali.sup"))
plot(mcascience, invisible=c("ind", "var"))
plot(mcascience, invisible=c("var", "quali.sup"))

