
# ================================================================
# CAH sur tableau de contingence avec les packages ade4 et cluster 
# ================================================================

# Les options de la procdure "agnes" ne prvoyant pas le calcul des distances du chi-2 sur un
# tableau de contingence initial, il convient de construire pralablement le tabeau des distances.
# On peut utiliser le package "ade4" (voir l'aide pour ce package et ses procdures...)

bac76 = read.table("bac-1976.csv", header=TRUE, sep=";", row.names="Region") # la colonne "Region" est l'identifiant

# Exemple du bac 1976. rgions en lignes et sectionss en colonnes, premire colonne et premire ligne
# identifiants

fix(bac76) # pour voir  l'diteur (ne pas oublier de le refermer)

library(ade4) # chargement du package "ade4" suppos dj install depuis un site de R

# on utilise seulement les procdures "dudi.coa" et "dist.dudi" pour construire les tableaux
# des distances du chi-2 entre les lignes (rgions) et les colonnes (sections)

afcbac = dudi.coa(bac76, scannf = FALSE, nf=2) # AFC standard du tableau, les paramtres sont sans importance

distlig = dist.dudi(afcbac) # on rcupre les distances entre les lignes
distlig # pour voir

distcol = dist.dudi(afcbac, amongrow = FALSE) # et les distances entre les colonnes
distcol # pour voir

library(cluster) # chargement du package pour la classification

# On utilise "agnes" directement sur un tableau de distances (ou dissimilarits)
# help(agnes) si ncessaire...

cahlig = agnes(distlig, diss=TRUE, method="average") # la CAH et l'arborescence des candidats
pltree(cahlig)

cahcol = agnes(distcol, diss=TRUE, method="ward") # la CAH et l'arborescence des arrondissements
pltree(cahcol)

