
# ==========================================
# Estimation d'un modle tobit (ou de Tobin)
# ==========================================

# On utilise la commande "censReg" du package "censReg" qu'il convient donc d'installer
# pralablement

# Lecture des donnes sur l'emploi des femmes maries en 1975
# (ref Ernst R. Berndt, The Practice of Econometrics, Addison-Wesley, 1991)

travail = read.table("emploif.asc", header=T)
attach(travail)

# Variables utilises

#   LFP        dummy variable gale  1 si la personne travaillait en 1975, et 0 sinon
#   WHRS       nombre d'heures travailles en 1975
#   KL6        nombre d'enfants de moins de 6 ans  la maison
#   K618       nombre d'enfants de 6  18 ans  la maison
#   WA         ge de la personne
#   WE         nombre d'annes d'tude
#   WW         salaire horaire moyen de la personne
#   RPWG       salaire de la personne l'anne 1976
#   HHRS       nombre d'heures travailles par le mari en 1975
#   HA         ge du mari
#   HE         nombre d'annes d'tude du mari
#   PRIN       revenu total du mnage hors salaire (ventuel) de la personne (en dollars 75)
#   HW         salaire du mari (en dollars 75)
#   FAMINC     revenu du mnage en 1975
#   MTR        taux marginal d'imposition du salaire de la personne
#   WMED       nombre d'annes d'tude de la mre
#   WFED       nombre d'annes d'tude du pre
#   UN         taux de chmage local
#   CIT        dummy variable gal  un pour les grandes villes, 0 sinon
#   AX         nombre d'annes d'exprience professionnelle

# On cre la variable PRIN qui ne figurait pas dans le fichier lu

PRIN = FAMINC - (WHRS*WW)

# Estimation par les mco sur l'ensemble de la population observe du modle (mal spcifi)
# expliquant WHRS par KL6, K618, WA, WE et PRIN

summary(lm(WHRS~KL6+K618+WA+WE+PRIN))

# Estimation du modle tobit expliquant la variable latente WHRS* gale  WHRS lorsque celle-ci
# est positive  partir des mmes explicatives que prcdemment

library(censReg) # pour charger le package "censReg" suppos dj install

help(censReg) # si on veut lire l'aide concernant la commande "censReg"

tobit=censReg(WHRS~KL6+K618+WA+WE+PRIN, left=0)
summary(tobit) # pour voir...

# On aurait pu se dispenser de prciser "left=0", car par dfaut la procdure considre la
# variable  expliquer comme censure  gauche en 0 et pas censure  droite.